### Method

# Camel UIDCache dup_new_uids

#### Declaration [src]

    GPtrArray*
    camel_uid_cache_dup_new_uids (
      CamelUIDCache* cache,
      GPtrArray* uids
    )

#### Description [src]

Returns an array of UIDs from `uids` that are not in `cache`, and removes UIDs from `cache` that aren’t in `uids`.

#### Parameters

`uids`

  Type: An array of `utf8`

  An array of UIDs.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

An array of new UIDs, free with g_ptr_array_unref(), when no longer needed.

The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.